Charm for IBM Spectrum Symphony node v7.1.2


Overview
--------

IBM Spectrum Symphony node


IBM Spectrum Symphony (Symphony) is enterprise-class software that distributes and virtualizes compute-intensive application services
and processes across existing heterogeneous IT resources.

A Symphony node host is a server host that are capable of submitting and executing jobs. They cannot be selected as Master incase the
designated Symphony Master goes down.

More information available at the [IBM Knowledge Center] [spectrum-symphony-info]


Usage
-----

This charm will not download the Symphony Binaries as its being handled by IBM Spectrum Symphony Storage Charm.
The Symphony installation files will be shared when a relation is added between Symphony Storage and Symphony node(using NFS).


Deploy
------

This charm will deploy `Symphony node`.

To configure a Symphony Cluster, you need to deploy Symphony Storage Server, Master charm.
This charm will deploy only Symphony node. Functionally this charm will do nothing, to have a working Symphony Cluster you need to add 
relation between Storage Charm(Symphony Storage Server charm will share the Symphony Installation files(/opt/ibm/spectrumsymphony)) and Symphony Master charm to add this node host as part of Symphony Cluster.

To deploy IBM Spectrum Symphony Master Charm, follow the below steps:
     
     1) juju deploy ibm-spectrum-symphony-node
     2) juju deploy ibm-spectrum-symphony-storage
     3) juju add-relation ibm-spectrum-symphony-storage ibm-spectrum-symphony-node
     4) juju add-relation ibm-spectrum-symphony-master ibm-spectrum-symphony-node

To add more units of Symphony node

        juju add-unit ibm-spectrum-symphony-master
        This will add one more Symphony node host to your existing Symphony Cluster.

### Verification of Symphony Cluster

You can verify your Symphony cluster by running some symphony commands as mentioned below :
-  Login into the machine where Symphony Master is installed or Symphony Master Candidate is installed as Symphony administrator user `egoadmin`
-  Export the Symphony profile path : `. /opt/ibm/spectrumsymphony/kernel/profile.platform`
-  Start master by running the command: `egosh ego start`
-  Login to the master as a admin: `egosh user logon -u Admin -x Admin`
-  See the cluster and its status by issuing the command: `egosh user logon -u Admin -x Admin`

### To remove the units of Symphony node
    
         juju remove-unit <unit name of the Symphony node you want to remove>
This will remove the unit from the existing Symphony Cluster.(Symphony conf files will be updated and Symphony files will be unmounted)

#### Removing Relations
A Symphony node is related to IBM Spectrum Symphony Storage charm as well as IBM Spectrum Symphony Master charm. Incase you want to remove the relation between these, refer to the below steps:
      
      juju remove-relation ibm-spectrum-symphony-master ibm-spectrum-symphony-node
This will remove the server host information from the symphony configuration files and the
server host will no longer be part of the existing Symphony Cluster. The Symphony node Daemons will be stopped.
      
      juju remove-relation ibm-spectrum-symphony-storage ibm-spectrum-symphony-node
This will unmount the Symphony shared installation files.


IBM Spectrum Symphony Information
----------------------------
(1) General Information
Information on IBM Spectrum Symphony available at the [IBM Knowledge Center] [spectrum-symphony-info]

(2) Contact Information
For issues with this charm, please contact IBM Juju Support Team <jujusupp@us.ibm.com>

(3) Known Limitations
This charm makes use of Juju Status commands, and requires juju 2.0.

<!-- Links -->
[license-info]: http://www-03.ibm.com/software/sla/sladb.nsf/search

[spectrum-symphony-info]: http://www.ibm.com/support/knowledgecenter/SSZUMP_7.1.2/sym_kc_welcome.html

